Bug 69019 - neat fails on creating wireless device
neat fails on creating wireless device
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-16 21:24 EDT by mark krischer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 07:00:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mark krischer 2002-07-16 21:24:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
neat fails with an unhandled exception.  crash dump below.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start neat
2.create a new wireless device
3.select "other wireless card" when presented with options
4.select a new card
5.unhandled exception occurs at this point.  dump below
	

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py", line 82, in on_hardware_page_next
    self.dehydrate()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py", line 147, in dehydrate
    if modInfo[i]['description'] == self.hw.Description:
KeyError: description


Additional info:
Comment 1 Harald Hoyer 2002-07-17 07:00:21 EDT
thx, already fixed in CVS
Comment 2 Jay Turner 2002-07-29 13:03:42 EDT
Fix confirmed with redhat-config-network-1.1.11-1.

Note You need to log in before you can comment on or make changes to this bug.